Subject: Re: [bug] first line truncated with `git log --oneline --decorate --graph`

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 Apr 2015 08:28:43 -0700

Robin Moussu <[email-masked]> writes:

> I have a bug using the following command:
>
>     git log --oneline --decorate --graph
>
> In short, the first line of the log is often truncated.
> ...
> # How to reproduce
>
> Open a small terminal windows (4*100)
>
>     mkdir tmp
>     cd tmp
>     git init
>     git commit --allow-empty -m 'Lorem ipsum dolor sit amet, consectetur
> adipiscing elit. Donec a diam lectus.'
>     git checkout -b long_branch_name_and_long_commit_name
>     git commit --allow-empty -m 'Maecenas congue ligula ac quam viverra
> nec consectetur ante hendrerit.'
>     git commit --allow-empty -m 'Praesent et diam eget libero egestas
> mattis sit amet vitae augue.'
>     git checkout master
>     git merge --no-ff long_branch_name_and_long_commit_name -m 'merge
> with a long commit message'
>     git checkout long_branch_name_and_long_commit_name
>     git merge master
>     git log --oneline  --decorate --graph
>
> I hope it is clear. The English is not my mother tongue.

It is clear and it does not reproduce for me.  I see

--------
*   5eff3a3 (HEAD -> long_branch_name_and_long_commit_name, master) merge with a long commit message
|\  
| * 61e21f3 Praesent et diam eget libero egestas mattis sit amet vitae augue.
:
--------

which looks perfectly sensible (my terminal is a "screen" running
on a Ubuntu machine, displaying to a SecureShell terminal on a
Chromebook).

Can you try running that problematic "git log" with its standard
output redirected to a file (i.e. "git log ... >output") and then
run your pager in that wide-but-short terminal (i.e. "less output"),
to see if the same problem is observed?  And then run "cat output"
in a taller terminal with the same width to see if it is the output
from "git log" that is causing you the problem?